# Docsifyjs
> A magical documentation site generator.

## Initialize
Clone development-manual repo.
```bash
git clone --depth=1 https://git.i2erp.cn/i2-tech/development-manual.git && cd development-manual
```

Install npm if you don't have one, goto https://nodejs.org/zh-cn.

It is recommended to install `docsify-cli` globally, which helps initializing and previewing the website locally.
```bash
npm i docsify-cli -g
```

Preview your local site

```bash
docsify serve
```

Then, open Brower  http://localhost:3000

## Writing article
If you create a file named new-article.md, then it is accessible via /#/new-article, in order to have sidebar, then you can write your new routes in _sidebar.md.

```text
* [Host网址](/host.md)
* Git手册
    * [快速入门](/git/README.md)
    * [提交规范](/git/README.md)
* App手册
    * [快速入门](/app/README.md)
    * [提交规范](/app/README.md)
* 前端手册
    * [快速入门](/frontend/README.md)
    * [提交规范](/frontend/README.md)
* 后端手册
    * [协程并发](/backend/goroutine.md)
* 运维手册
    * [k3s入门](/oper/k3s.md)
```

## Publish
Just commit all you change, all are hotloaded.
```bash
git add -A .
git commit -m "feat: add page guide.md"
git push origin master
```

## Preview your remote site
>http://47.103.219.158:31201