## 分支规范
一、分支与角色说明

master 分支（主分支） 最新分支

test 分支（测试分支） 测试分支

release 分支（正式分支） 正式分支


二、基于分支开发说明

所有代码的主分支是master, 从git clone下载后进行git fetch, git checkout master, 其次在功能开发时, 如果是并行开发的功能以及未再最新排期的功能需要checkout一个新分支feature开发, 待开发完合并进test分支进行测试环境的测试, 最后合并成release分支,最终打上tag版本标记.

## 提交规范
以Angular提交规范为准:
```text
<type>(<scope>): <subject>
```

type 用于说明 commit 的类别，只允许使用特定的几个标识。

    feat：新功能（feature）
    fix：修补bug
    docs：文档（documentation）
    style： 格式（不影响代码运行的变动）
    refactor：重构（即不是新增功能，也不是修改bug的代码变动）
    test：增加测试
    chore：构建过程或辅助工具的变动
    doning: 开发中
    done: 已完成
    import：到入库

scope 可选, 用于说明 commit 影响的范围，比如数据层、控制层、视图层等等，视项目不同而不同。

subject 是 commit 目的的简短描述，不超过50个字符。

Example:
```bash
git commit -m "feat(影响登录逻辑): 添加图形认证码"
git commit -m "fix: 修复财务报表清单"
git commit -m "docs: 添加游戏规则说明文档"
git commit -m "style: 调整代码格式"
git commit -m "refactor(影响数据链接): 重构数据层"
```




